# $Revision: 1.23 $, $Date: 2005/10/27 10:36:19 $
Summary:	Replayer for old amiga music file formats
Summary(pl):	Odtwarzacz starych amigowych plikw muzycznych
Name:		uade
Version:	1.03
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://zakalwe.virtuaalipalvelin.net/uade/uade/%{name}-%{version}.tar.bz2
# Source0-md5:	97e0eed37d91bc76079e9b5ee108a5a3
URL:		http://zakalwe.virtuaalipalvelin.net/uade/
BuildRequires:	gtk+-devel
BuildRequires:	libao-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{xmms_input_plugindir}
%define		_datadir	%{_prefix}/share/uade

%description
UADE is a replayer for old amiga music file formats. It uses an UAE
emulation of the AMIGA Hardware and a cloned m68k-assembler Amiga
delitracker API to be able to replay those tunes again on platforms
other than the original AMIGA.

%description -l pl
UADE jest odtwarzaczem starych amigowych formatw plikw muzycznych.
Uywa emulacji sprztu z UAE i sklonowanego API delitrackera, by mc
odtworzy ponownie te melodie na platformach innych ni Amiga.

%package examples
Summary:	Sample amiga tunes
Summary(pl):	Przykadowe melodie
Group:		Applications/Sound

%description examples
Some sample amiga tunes you can use to test if UADE works.

%description examples -l pl
Kilka przykadowych amigowych melodii, ktre moesz wykorzysta do
sprawdzenia, czy UADE dziaa.

%package -n xmms-input-uade
Summary:	UADE plugin for XMMS
Summary(pl):	Wtyczka dla XMMS-a wykorzystujca UADE
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	xmms

%description -n xmms-input-uade
For people that prefer a GUI rather than plain console apps and their
switches or those who just want to listen to their music with XMMS and
take advantage of it's features like playlists, different output,
effect and visual plugins there's also a UADE XMMS input plugin.

%description -n xmms-input-uade -l pl
Dla tych, ktrzy preferuj GUI od aplikacji trybu tekstowego i ich
przecznikw, lub po prostu chc sucha muzyki uywajc XMMS-a,
korzystajc z jego cech, takich jak playlisty, rne wyjcia, efekty i
wtyczki wizualizacyjne, jest wtyczka dla XMMS-a korzystajca z UADE.

%prep
%setup -q

%build
./configure \
	--prefix=%{_prefix} \
	--package-prefix=$RPM_BUILD_ROOT \
	--xmms-plugin-dir=%{_libdir} \
	--with-ao \
	--without-alsa \
	--without-oss \
	--without-sdl \
	--without-bmp

%{__make} \
	CC="%{__cc}" \
	ARCHFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog.txt BUGS FIXED
%doc uade-docs/decrunch uade-docs/players
%doc uade-docs/faq.html uade-docs/*.txt
%attr(755,root,root) %{_bindir}/uade
%{_datadir}
%{_mandir}/man1/*

%files examples
%defattr(644,root,root,755)
%doc songs/*

%files -n xmms-input-uade
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uade.spec,v $
Revision 1.23  2005/10/27 10:36:19  wolf
- 1.03

Revision 1.22  2004/10/31 12:07:50  wolf
- 1.00

Revision 1.21  2004/10/30 11:01:11  qboosh
- pl fixes

Revision 1.20  2004/10/30 10:55:52  paladine
- unification, capitalization, better desc

Revision 1.19  2004/07/27 21:04:51  wolf
- cosmetics

Revision 1.18  2004/07/27 19:26:20  wolf
- 0.91

Revision 1.17  2004/02/07 23:37:07  wolf
- 0.81

Revision 1.16  2003/09/02 20:04:38  wolf
- 0.80

Revision 1.15  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.14  2003/06/25 16:31:18  wolf
- no, it seems to be fantastic icewm

Revision 1.13  2003/06/25 16:29:34  wolf
- reverted - crashes xfree

Revision 1.12  2003/06/25 11:35:51  wolf
- 0.80 pre7

Revision 1.11  2003/05/28 13:02:24  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:27:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/14 16:31:43  wolf
- 0.80pre5

Revision 1.8  2003/02/03 21:58:17  wolf
- cleanups
- fucking with libtool

Revision 1.7  2003/01/30 01:24:33  wolf
- 0.80 pre2

Revision 1.6  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.5  2002/12/01 23:49:59  wolf
- 0.73-pre5
- todo: cflags

Revision 1.4  2002/09/02 21:56:55  kloczek
- release 2: use new %doc.

Revision 1.3  2002/07/14 21:54:20  wolf
- 0.71

Revision 1.2  2002/03/08 02:23:52  kloczek
- cosmetics.

Revision 1.1  2002/03/04 12:52:27  wolf
- renamed to uade.spec
- separated xmms plugin to subpackage
- release 2
STBR

moved from xmms-input-uade.spec
